/**
 * 质检管理接口
 */
import request from '@/utils/request'
import qs from 'qs'

// 查询质检模块
export function getQModulerList(params) {
  return request({
    url: '/customer/listPage',
    method: 'get',
    params
  })
}
// 新增质检模块
export function addQModular(params) {
  return request({
    url: '/customer/add',
    method: 'post',
    params
  })
}
// 编辑质检模块
export function updateQModular(params) {
  return request({
    url: '/customer/update',
    method: 'post',
    params
  })
}

// 删除质检模块
export function delQModular(id) {
  return request({
    url: '/customer/delete',
    method: 'post',
    params: {
      ids: id
    }
  })
}

// 生效/失效质检模块
export function activeQModular(id, status) {
  return request({
    url: '/qualityModular/active',
    method: 'post',
    params: {
      id: id,
      status: status
    }
  })
}

// 查询质检标准
export function getQIndexList(params) {
  return request({
    url: '/customer/listPage',
    method: 'get',
    params
  })
}
// 新增质检标准
export function addQIndex(params) {
  return request({
    url: '/customer/add',
    method: 'post',
    params
  })
}
// 编辑质检标准
export function updateQIndex(params) {
  return request({
    url: '/customer/update',
    method: 'post',
    params
  })
}

// 删除质检标准
export function delQIndex(id) {
  return request({
    url: '/customer/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}

